### Hierarchy

- unknown
  - ByteArray

## Index

### Constructors

- constructor

### Methods

- getBytes
- getBytes_asB64
- getBytes_asU8
- serializeBinary
- setBytes
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new ByteArray(): ByteArray

- Inherited from jspb.Message.constructor

  #### Returns ByteArray

## Methods

### getBytes

- getBytes(): string | Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:6095

  #### Returns string | Uint8Array

### getBytes_asB64

- getBytes_asB64(): string

- - Defined in src/protobuf/pb_pb.d.ts:6097

  #### Returns string

### getBytes_asU8

- getBytes_asU8(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:6096

  #### Returns Uint8Array

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:6100

  #### Returns Uint8Array

### setBytes

- setBytes(value: string | Uint8Array): ByteArray

- - Defined in src/protobuf/pb_pb.d.ts:6098

  #### Parameters

  - ##### value: string | Uint8Array

  #### Returns ByteArray

### toObject

- toObject(includeInstance?: boolean): ByteArray . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:6101

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns ByteArray . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): ByteArray

- - Defined in src/protobuf/pb_pb.d.ts:6104

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns ByteArray

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: ByteArray, reader: BinaryReader): ByteArray

- - Defined in src/protobuf/pb_pb.d.ts:6105

  #### Parameters

  - ##### message: ByteArray

  - ##### reader: BinaryReader

  #### Returns ByteArray

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: ByteArray, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:6103

  #### Parameters

  - ##### message: ByteArray

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: ByteArray ): ByteArray . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:6102

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: ByteArray

  #### Returns ByteArray . AsObject

Generated using TypeDoc